Bug 433025 - System Settings crashes when firewall page opened second time.
Summary: System Settings crashes when firewall page opened second time.
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: kcm_firewall (show other bugs)
Version: 5.21.0
Platform: Neon Linux
: VHI crash (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords: drkonqi
: 431979 433015 433764 434077 434095 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-02-16 19:29 UTC by NXiss7
Modified: 2021-03-19 14:45 UTC (History)
16 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.21.4


Attachments
New crash information added by DrKonqi (12.85 KB, text/plain)
2021-02-18 11:55 UTC, Alexey Min
Details
New crash information added by DrKonqi (15.24 KB, text/plain)
2021-02-19 17:06 UTC, Sebastian
Details
New crash information added by DrKonqi (38.58 KB, text/plain)
2021-02-25 20:26 UTC, kskot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NXiss7 2021-02-16 19:29:07 UTC
Application: systemsettings5 (5.21.0)

Qt Version: 5.15.2
Frameworks Version: 5.79.0
Operating System: Linux 5.8.0-43-generic x86_64
Windowing System: X11
Drkonqi Version: 5.21.0
Distribution: KDE neon User Edition 5.21

-- Information about the crash:
- What I was doing when the application crashed:
System settings crashes when you open firewall page a second time. 

- Steps to reproduce: 
Open firewall page. 
Switch to any other page, say audio. 
Go back to firewall and it crashes.

The crash can be reproduced every time.

-- Backtrace:
Application: Sistem Ayarları (systemsettings5), signal: Segmentation fault

[New LWP 229009]
[New LWP 229010]
[New LWP 229011]
[New LWP 229012]
[New LWP 229013]
[New LWP 229014]
[New LWP 229015]
[New LWP 229016]
[New LWP 229017]
[New LWP 229018]
[New LWP 229019]
[New LWP 229020]
[New LWP 229021]
[New LWP 229022]
[New LWP 229023]
[New LWP 229024]
[New LWP 229025]
[New LWP 229026]
[New LWP 229027]
[New LWP 229028]
[New LWP 229029]
[New LWP 229030]
[New LWP 229031]
[New LWP 229032]
[New LWP 229038]
[New LWP 229039]
[New LWP 229041]
[New LWP 229042]
[New LWP 229043]
[New LWP 229044]
[New LWP 229046]
[New LWP 229047]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
0x00007f5762fe8aff in __GI___poll (fds=0x7fff53b4f8a8, nfds=1, timeout=1000) at ../sysdeps/unix/sysv/linux/poll.c:29
[Current thread is 1 (Thread 0x7f575ed498c0 (LWP 229008))]

Thread 33 (Thread 0x7f56ba18c700 (LWP 229047)):
#0  __GI___libc_read (nbytes=16, buf=0x7f56ba18bc10, fd=28) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __GI___libc_read (fd=28, buf=0x7f56ba18bc10, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007f576128a89f in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f5761241cde in g_main_context_check () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f5761242132 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f5761242513 in g_main_loop_run () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f56bab3ceda in  () at /lib/x86_64-linux-gnu/libgio-2.0.so.0
#7  0x00007f576126b911 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#8  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 32 (Thread 0x7f56ba98d700 (LWP 229046)):
#0  0x00007f5761242197 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f57612422c3 in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f5761242311 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f576126b911 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#5  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 31 (Thread 0x7f56bbfff700 (LWP 229044)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffe2656b0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffe265660, cond=0x557ffe265688) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffe265688, mutex=0x557ffe265660) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 30 (Thread 0x7f56f15bc700 (LWP 229043)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffe0788b0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffe078860, cond=0x557ffe078888) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffe078888, mutex=0x557ffe078860) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 29 (Thread 0x7f56f25bd700 (LWP 229042)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffd97cb40) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffd97caf0, cond=0x557ffd97cb18) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffd97cb18, mutex=0x557ffd97caf0) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 28 (Thread 0x7f56f2dbe700 (LWP 229041)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffd8b2100) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffd8b20b0, cond=0x557ffd8b20d8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffd8b20d8, mutex=0x557ffd8b20b0) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 27 (Thread 0x7f56f3fff700 (LWP 229039)):
#0  0x00007fff53bb3b37 in clock_gettime ()
#1  0x00007f5762fb3235 in __GI___clock_gettime (clock_id=clock_id@entry=1, tp=tp@entry=0x7f56f3ffea30) at ../sysdeps/unix/sysv/linux/clock_gettime.c:38
#2  0x00007f5763702885 in qt_clock_gettime (ts=0x7f56f3ffea30, clock=1) at kernel/qelapsedtimer_unix.cpp:175
#3  do_gettime (frac=<synthetic pointer>, sec=<synthetic pointer>) at kernel/qelapsedtimer_unix.cpp:166
#4  qt_gettime() () at kernel/qelapsedtimer_unix.cpp:175
#5  0x00007f576370111d in QTimerInfoList::updateCurrentTime() (this=this@entry=0x7f56c4004920) at kernel/qtimerinfo_unix.cpp:91
#6  0x00007f57637016f9 in QTimerInfoList::timerWait(timespec&) (this=0x7f56c4004920, tm=...) at kernel/qtimerinfo_unix.cpp:388
#7  0x00007f5763702d16 in timerSourcePrepareHelper (timeout=0x7f56f3ffeaf4, src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:162
#8  timerSourcePrepare(GSource*, gint*) (source=<optimized out>, timeout=0x7f56f3ffeaf4) at kernel/qeventdispatcher_glib.cpp:166
#9  0x00007f576124170f in g_main_context_prepare () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f57612420bb in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f57612422c3 in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#12 0x00007f5763702fbb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f56c4000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#13 0x00007f57636a71ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f56f3ffecc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#14 0x00007f57634c1a12 in QThread::exec() (this=this@entry=0x557ffd6df1e0) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#15 0x00007f57627b6fa9 in QQmlThreadPrivate::run() (this=0x557ffd6df1e0) at qml/ftw/qqmlthread.cpp:155
#16 0x00007f57634c2bac in QThreadPrivate::start(void*) (arg=0x557ffd6df1e0) at thread/qthread_unix.cpp:329
#17 0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#18 0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 26 (Thread 0x7f571a3a4700 (LWP 229038)):
#0  __GI___libc_read (nbytes=16, buf=0x7f571a3a3ab0, fd=20) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __GI___libc_read (fd=20, buf=0x7f571a3a3ab0, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007f576128a89f in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f5761241cde in g_main_context_check () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f5761242132 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f57612422c3 in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f5763702fbb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f56d0000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#7  0x00007f57636a71ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f571a3a3cc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#8  0x00007f57634c1a12 in QThread::exec() (this=this@entry=0x557ffd41dbc0) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#9  0x00007f57627b6fa9 in QQmlThreadPrivate::run() (this=0x557ffd41dbc0) at qml/ftw/qqmlthread.cpp:155
#10 0x00007f57634c2bac in QThreadPrivate::start(void*) (arg=0x557ffd41dbc0) at thread/qthread_unix.cpp:329
#11 0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 25 (Thread 0x7f57217fa700 (LWP 229032)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffd115b00) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffd115ab0, cond=0x557ffd115ad8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffd115ad8, mutex=0x557ffd115ab0) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 24 (Thread 0x7f5721ffb700 (LWP 229031)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffd115b00) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffd115ab0, cond=0x557ffd115ad8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffd115ad8, mutex=0x557ffd115ab0) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 23 (Thread 0x7f57227fc700 (LWP 229030)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffd115b00) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffd115ab0, cond=0x557ffd115ad8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffd115ad8, mutex=0x557ffd115ab0) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 22 (Thread 0x7f5722ffd700 (LWP 229029)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffd115b00) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffd115ab0, cond=0x557ffd115ad8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffd115ad8, mutex=0x557ffd115ab0) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 21 (Thread 0x7f57237fe700 (LWP 229028)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffd115b00) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffd115ab0, cond=0x557ffd115ad8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffd115ad8, mutex=0x557ffd115ab0) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 20 (Thread 0x7f5728ff9700 (LWP 229027)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffd1153f8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffd1153a8, cond=0x557ffd1153d0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffd1153d0, mutex=0x557ffd1153a8) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 19 (Thread 0x7f57297fa700 (LWP 229026)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffd1153fc) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffd1153a8, cond=0x557ffd1153d0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffd1153d0, mutex=0x557ffd1153a8) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 18 (Thread 0x7f5729ffb700 (LWP 229025)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffd1153f8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffd1153a8, cond=0x557ffd1153d0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffd1153d0, mutex=0x557ffd1153a8) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7f572a7fc700 (LWP 229024)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffd1153fc) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffd1153a8, cond=0x557ffd1153d0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffd1153d0, mutex=0x557ffd1153a8) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7f572affd700 (LWP 229023)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffd1153f8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffd1153a8, cond=0x557ffd1153d0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffd1153d0, mutex=0x557ffd1153a8) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7f572b7fe700 (LWP 229022)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffd1153f8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffd1153a8, cond=0x557ffd1153d0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffd1153d0, mutex=0x557ffd1153a8) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7f572bfff700 (LWP 229021)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffd1153fc) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffd1153a8, cond=0x557ffd1153d0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffd1153d0, mutex=0x557ffd1153a8) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7f5723fff700 (LWP 229020)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffd1153fc) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffd1153a8, cond=0x557ffd1153d0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffd1153d0, mutex=0x557ffd1153a8) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7f5748856700 (LWP 229019)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffd1153fc) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffd1153a8, cond=0x557ffd1153d0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffd1153d0, mutex=0x557ffd1153a8) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7f5749057700 (LWP 229018)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffd1153fc) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffd1153a8, cond=0x557ffd1153d0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffd1153d0, mutex=0x557ffd1153a8) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7f5749858700 (LWP 229017)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffd1153fc) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffd1153a8, cond=0x557ffd1153d0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffd1153d0, mutex=0x557ffd1153a8) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f574a059700 (LWP 229016)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffd1153fc) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffd1153a8, cond=0x557ffd1153d0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffd1153d0, mutex=0x557ffd1153a8) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7f574a85a700 (LWP 229015)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffd115f98) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffd115f48, cond=0x557ffd115f70) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffd115f70, mutex=0x557ffd115f48) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f574b05b700 (LWP 229014)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffd115f98) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffd115f48, cond=0x557ffd115f70) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffd115f70, mutex=0x557ffd115f48) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f5754e91700 (LWP 229013)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffd115f98) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffd115f48, cond=0x557ffd115f70) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffd115f70, mutex=0x557ffd115f48) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f5755692700 (LWP 229012)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffd115f98) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffd115f48, cond=0x557ffd115f70) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffd115f70, mutex=0x557ffd115f48) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f5755e93700 (LWP 229011)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x557ffd113898) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x557ffd113848, cond=0x557ffd113870) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x557ffd113870, mutex=0x557ffd113848) at pthread_cond_wait.c:638
#3  0x00007f575634eb5b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#4  0x00007f575634e75b in  () at /usr/lib/x86_64-linux-gnu/dri/radeonsi_dri.so
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f575cf6d700 (LWP 229010)):
#0  0x00007fff53bb3b37 in clock_gettime ()
#1  0x00007f5762fb3235 in __GI___clock_gettime (clock_id=clock_id@entry=1, tp=tp@entry=0x7f575cf6ca20) at ../sysdeps/unix/sysv/linux/clock_gettime.c:38
#2  0x00007f5763702885 in qt_clock_gettime (ts=0x7f575cf6ca20, clock=1) at kernel/qelapsedtimer_unix.cpp:175
#3  do_gettime (frac=<synthetic pointer>, sec=<synthetic pointer>) at kernel/qelapsedtimer_unix.cpp:166
#4  qt_gettime() () at kernel/qelapsedtimer_unix.cpp:175
#5  0x00007f576370111d in QTimerInfoList::updateCurrentTime() (this=this@entry=0x7f5750004d50) at kernel/qtimerinfo_unix.cpp:91
#6  0x00007f57637016f9 in QTimerInfoList::timerWait(timespec&) (this=0x7f5750004d50, tm=...) at kernel/qtimerinfo_unix.cpp:388
#7  0x00007f5763702d16 in timerSourcePrepareHelper (timeout=0x7f575cf6cae4, src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:162
#8  timerSourcePrepare(GSource*, gint*) (source=<optimized out>, timeout=0x7f575cf6cae4) at kernel/qeventdispatcher_glib.cpp:166
#9  0x00007f576124170f in g_main_context_prepare () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f57612420bb in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f57612422c3 in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#12 0x00007f5763702fbb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f5750000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#13 0x00007f57636a71ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f575cf6ccb0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#14 0x00007f57634c1a12 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#15 0x00007f57623d2f4b in  () at /lib/x86_64-linux-gnu/libQt5DBus.so.5
#16 0x00007f57634c2bac in QThreadPrivate::start(void*) (arg=0x7f5762456d80) at thread/qthread_unix.cpp:329
#17 0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#18 0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f575e165700 (LWP 229009)):
#0  0x00007f5762fe8aff in __GI___poll (fds=0x7f575e164be8, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f5761bcbc1a in  () at /lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007f5761bcd90a in xcb_wait_for_event () at /lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007f575e68ad58 in  () at /lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
#4  0x00007f57634c2bac in QThreadPrivate::start(void*) (arg=0x557ffce97d20) at thread/qthread_unix.cpp:329
#5  0x00007f5761b84609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f5762ff5293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f575ed498c0 (LWP 229008)):
[KCrash Handler]
#4  0x0000000000000000 in  ()
#5  0x00007f56f0061b53 in KCMFirewall::KCMFirewall(QObject*, QList<QVariant> const&) (this=0x557ffea27ce0, parent=<optimized out>, args=...) at ./kcm/kcm.cpp:36
#6  0x00007f56f00654ee in KPluginFactory::createInstance<KCMFirewall, QObject>(QWidget*, QObject*, QList<QVariant> const&) (parentWidget=<optimized out>, parent=<optimized out>, args=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobject.h:519
#7  0x00007f57639a0152 in KPluginFactory::create(char const*, QWidget*, QObject*, QList<QVariant> const&, QString const&) (this=this@entry=0x557ffe4b4f50, iface=0x7f5764e920f0 "KQuickAddons::ConfigModule", parentWidget=parentWidget@entry=0x0, parent=parent@entry=0x0, args=..., keyword=...) at ./src/lib/plugin/kpluginfactory.cpp:180
#8  0x00007f5764fb1b48 in KPluginFactory::create<KQuickAddons::ConfigModule>(QObject*, QList<QVariant> const&) (args=..., parent=0x0, this=0x557ffe4b4f50) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qarraydata.h:257
#9  KCModuleLoader::loadModule(KCModuleInfo const&, KCModuleLoader::ErrorReporting, QWidget*, QStringList const&) (mod=..., report=report@entry=KCModuleLoader::Inline, parent=0x557ffe99c4d0, args=...) at ./src/kcmoduleloader.cpp:94
#10 0x00007f5764fbd5aa in KCModuleProxyPrivate::loadModule() (this=this@entry=0x557ffe883a80) at ./src/kcmoduleproxy.cpp:81
#11 0x00007f5764fbdbe8 in KCModuleProxy::realModule() const (this=this@entry=0x557ffe99c4d0) at ./src/kcmoduleproxy.cpp:54
#12 0x00007f5764fbe177 in KCModuleProxy::showEvent(QShowEvent*) (this=0x557ffe99c4d0, ev=0x7fff53b50770) at ./src/kcmoduleproxy.cpp:137
#13 0x00007f57642ebc06 in QWidget::event(QEvent*) (this=0x557ffe99c4d0, event=0x7fff53b50770) at kernel/qwidget.cpp:8663
#14 0x00007f57642a8dc3 in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=<optimized out>, receiver=0x557ffe99c4d0, e=0x7fff53b50770) at kernel/qapplication.cpp:3632
#15 0x00007f57642b1bb8 in QApplication::notify(QObject*, QEvent*) () at kernel/qapplication.cpp:3156
#16 0x00007f57636a869a in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x557ffe99c4d0, event=0x7fff53b50770) at ../../include/QtCore/5.15.2/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#17 0x00007f57642e85b7 in QWidgetPrivate::show_helper() (this=0x557ffe679180) at kernel/qwidget.cpp:7813
#18 0x00007f57642e838f in QWidgetPrivate::show_recursive() (this=<optimized out>) at kernel/qwidget.cpp:7692
#19 0x00007f57642e8519 in QWidgetPrivate::showChildren(bool) (this=this@entry=0x557ffe6fa7c0, spontaneous=spontaneous@entry=false) at ../../include/QtWidgets/../../src/widgets/kernel/qwidget.h:132
#20 0x00007f57642e8593 in QWidgetPrivate::show_helper() (this=this@entry=0x557ffe6fa7c0) at kernel/qwidget.cpp:7768
#21 0x00007f57642eb6a3 in QWidgetPrivate::setVisible(bool) (this=0x557ffe6fa7c0, visible=<optimized out>) at kernel/qwidget.cpp:8111
#22 0x00007f57642e8501 in QWidgetPrivate::showChildren(bool) (this=this@entry=0x557ffe6feb60, spontaneous=spontaneous@entry=false) at kernel/qwidget.cpp:8183
#23 0x00007f57642e8593 in QWidgetPrivate::show_helper() (this=this@entry=0x557ffe6feb60) at kernel/qwidget.cpp:7768
#24 0x00007f57642eb6a3 in QWidgetPrivate::setVisible(bool) (this=0x557ffe6feb60, visible=<optimized out>) at kernel/qwidget.cpp:8111
#25 0x00007f57642d0134 in QStackedLayout::setCurrentIndex(int) (this=0x557ffd411610, index=1) at kernel/qstackedlayout.cpp:321
#26 0x00007f57642d03dd in QStackedLayout::setCurrentWidget(QWidget*) (this=0x557ffd411610, widget=widget@entry=0x557ffe3f9b40) at kernel/qstackedlayout.cpp:376
#27 0x00007f5764462879 in QStackedWidget::setCurrentWidget(QWidget*) (this=<optimized out>, widget=0x557ffe3f9b40) at widgets/qstackedwidget.cpp:248
#28 0x00007f5764aae90c in KPageViewPrivate::_k_pageSelected(QItemSelection const&, QItemSelection const&) (previous=..., index=..., this=0x557ffd411260) at ./src/kpageview.cpp:247
#29 KPageViewPrivate::_k_pageSelected(QItemSelection const&, QItemSelection const&) (this=0x557ffd411260, index=..., previous=...) at ./src/kpageview.cpp:221
#30 0x00007f57636df6f0 in doActivate<false>(QObject*, int, void**) (sender=0x557ffd414d80, signal_index=3, argv=0x7fff53b50cd0) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:395
#31 0x00007f57636d8a87 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=sender@entry=0x557ffd414d80, m=m@entry=0x7f5763941140 <QItemSelectionModel::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff53b50cd0) at kernel/qobject.cpp:3946
#32 0x00007f5763659874 in QItemSelectionModel::selectionChanged(QItemSelection const&, QItemSelection const&) (this=this@entry=0x557ffd414d80, _t1=..., _t2=...) at .moc/moc_qitemselectionmodel.cpp:475
#33 0x00007f576365f018 in QItemSelectionModel::emitSelectionChanged(QItemSelection const&, QItemSelection const&) (this=0x557ffd414d80, newSelection=..., oldSelection=...) at itemmodels/qitemselectionmodel.cpp:1886
#34 0x00007f5763662682 in QItemSelectionModel::select(QItemSelection const&, QFlags<QItemSelectionModel::SelectionFlag>) (this=0x557ffd414d80, selection=..., command=...) at itemmodels/qitemselectionmodel.cpp:1340
#35 0x00007f576365bc4b in QItemSelectionModel::select(QModelIndex const&, QFlags<QItemSelectionModel::SelectionFlag>) (command=..., index=..., this=0x557ffd414d80) at itemmodels/qitemselectionmodel.cpp:1190
#36 QItemSelectionModel::setCurrentIndex(QModelIndex const&, QFlags<QItemSelectionModel::SelectionFlag>) (this=this@entry=0x557ffd414d80, index=..., command=command@entry=...) at itemmodels/qitemselectionmodel.cpp:1415
#37 0x00007f5764aad3a7 in KPageViewPrivate::updateSelection() (this=0x557ffd411260) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qabstractitemmodel.h:60
#38 KPageViewPrivate::updateSelection() (this=0x557ffd411260) at ./src/kpageview.cpp:98
#39 0x00007f5764aae742 in KPageViewPrivate::_k_modelChanged() (this=0x557ffd411260) at ./src/kpageview.cpp:218
#40 0x00007f57636df6f0 in doActivate<false>(QObject*, int, void**) (sender=0x557ffd413580, signal_index=6, argv=0x7fff53b510d0) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:395
#41 0x00007f57636d8a87 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) (sender=sender@entry=0x557ffd413580, m=m@entry=0x7f5763941040 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7fff53b510d0) at kernel/qobject.cpp:3946
#42 0x00007f576364a8da in QAbstractItemModel::layoutChanged(QList<QPersistentModelIndex> const&, QAbstractItemModel::LayoutChangeHint) (this=this@entry=0x557ffd413580, _t1=..., _t2=<optimized out>, _t2@entry=QAbstractItemModel::NoLayoutChangeHint) at .moc/moc_qabstractitemmodel.cpp:571
#43 0x00007f5764ab4a00 in KPageWidgetModel::addPage(KPageWidgetItem*) (this=0x557ffd413580, item=item@entry=0x557ffe406050) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qlist.h:160
#44 0x00007f5764ab3471 in KPageWidget::addPage(KPageWidgetItem*) (this=<optimized out>, item=item@entry=0x557ffe406050) at ./src/kpagewidget_p.h:23
#45 0x00007f5728037cda in ModuleView::addModule(KCModuleInfo*, QStringList const&) (this=this@entry=0x557ffd40f260, module=0x557ffd3d8af8, args=...) at ./core/ModuleView.cpp:296
#46 0x00007f57280380bd in ModuleView::loadModule(QModelIndex const&, QStringList const&) (this=0x557ffd40f260, menuItem=..., args=...) at ./core/ModuleView.cpp:244
#47 0x00007f5728029282 in SidebarMode::loadModule(QModelIndex const&, QStringList const&) (this=0x557ffd4047a0, activeModule=..., args=...) at ./sidebar/SidebarMode.cpp:507
#48 0x00007f5728026cc6 in SidebarMode::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=_o@entry=0x557ffd4047a0, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=_id@entry=20, _a=_a@entry=0x7fff53b51500) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qlist.h:160
#49 0x00007f57280272c3 in SidebarMode::qt_metacall(QMetaObject::Call, int, void**) (this=0x557ffd4047a0, _c=QMetaObject::InvokeMetaMethod, _id=20, _a=0x7fff53b51500) at ./obj-x86_64-linux-gnu/sidebar/systemsettings_sidebar_mode_autogen/EWIEGA46WW/moc_SidebarMode.cpp:661
#50 0x00007f576274abe5 in QQmlObjectOrGadget::metacall(QMetaObject::Call, int, void**) const (this=this@entry=0x7fff53b51840, type=type@entry=QMetaObject::InvokeMetaMethod, index=<optimized out>, index@entry=32, argv=<optimized out>) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../src/qml/qml/ftw/qflagpointer_p.h:351
#51 0x00007f5762613675 in CallMethod(QQmlObjectOrGadget const&, int, int, int, int*, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call) (object=..., index=<optimized out>, returnType=returnType@entry=43, argCount=<optimized out>, argTypes=<optimized out>, engine=engine@entry=0x557ffd2a0cb0, callArgs=<optimized out>, callType=<optimized out>) at jsruntime/qv4qobjectwrapper.cpp:1301
#52 0x00007f5762615777 in CallPrecise(QQmlObjectOrGadget const&, QQmlPropertyData const&, QV4::ExecutionEngine*, QV4::CallData*, QMetaObject::Call) (object=..., data=..., engine=engine@entry=0x557ffd2a0cb0, callArgs=callArgs@entry=0x7f57197655b8, callType=callType@entry=QMetaObject::InvokeMetaMethod) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../src/qml/qml/qqmlpropertydata_p.h:285
#53 0x00007f576261695f in CallOverloaded (callType=QMetaObject::InvokeMetaMethod, propertyCache=0x557ffd616300, callArgs=0x7f57197655b8, engine=0x557ffd2a0cb0, data=..., object=...) at jsruntime/qv4qobjectwrapper.cpp:1645
#54 QV4::QObjectMethod::callInternal(QV4::Value const*, QV4::Value const*, int) const (this=<optimized out>, thisObject=<optimized out>, argv=<optimized out>, argc=<optimized out>) at jsruntime/qv4qobjectwrapper.cpp:2133
#55 0x00007f576264682b in QV4::FunctionObject::call(QV4::Value const*, QV4::Value const*, int) const (argc=1, argv=0x7f5719765558, thisObject=0x7f5719765540, this=0x7fff53b519a8) at jsruntime/qv4functionobject_p.h:172
#56 QV4::Runtime::CallPropertyLookup::call(QV4::ExecutionEngine*, QV4::Value const&, unsigned int, QV4::Value*, int) (engine=0x557ffd2a0cb0, base=..., index=<optimized out>, argv=0x7f5719765558, argc=1) at jsruntime/qv4runtime.cpp:1460
#57 0x00007f56ab75053c in  ()
#58 0x0000000000000000 in  ()
[Inferior 1 (process 229008) detached]

Possible duplicates by query: bug 433015, bug 431979, bug 430012, bug 430011, bug 430009.

Reported using DrKonqi
Comment 1 Ilya Bizyaev 2021-02-16 20:31:12 UTC
Same here.

Operating System: openSUSE Leap 15.2
KDE Plasma Version: 5.21.0
KDE Frameworks Version: 5.79.0
Qt Version: 5.15.2
Comment 2 Artem 2021-02-16 20:40:06 UTC
Operating System: KDE neon 5.21
KDE Plasma Version: 5.21.0
KDE Frameworks Version: 5.79.0
Qt Version: 5.15.2
Kernel Version: 5.4.0-65-generic
OS Type: 64-bit
Graphics Platform: X11
Processors: 8 × AMD FX-8370 Eight-Core Processor
Memory: 7.8 GB of RAM
Graphics Processor: AMD PITCAIRN
Comment 3 Ilya Bizyaev 2021-02-16 20:44:03 UTC
This was fixed by https://invent.kde.org/plasma/plasma-firewall/-/commit/94797d79d8c0f27c291dcec8da27b3bfb4942d0e, which (by mistake?) didn't make it to 5.21
Comment 4 MaxProPlus 2021-02-16 20:47:21 UTC
Same here.

Operating System: KDE neon 5.21
KDE Plasma Version: 5.21.0
KDE Frameworks Version: 5.79.0
Qt Version: 5.15.2
Kernel Version: 5.4.0-65-generic
OS Type: 64-bit
Graphics Platform: X11
Processors: 4 × Intel® Pentium® CPU G4600 @ 3.60GHz
Memory: 7.7 GiB of RAM
Graphics Processor: GeForce GTX 1050 Ti/PCIe/SSE2
Comment 5 Nate Graham 2021-02-16 21:56:01 UTC
*** Bug 433015 has been marked as a duplicate of this bug. ***
Comment 6 Nate Graham 2021-02-16 21:56:26 UTC
*** Bug 431979 has been marked as a duplicate of this bug. ***
Comment 7 Alexey Min 2021-02-18 11:55:22 UTC
Created attachment 135842 [details]
New crash information added by DrKonqi

systemsettings5 (5.21.0) using Qt 5.15.2

- What I was doing when the application crashed:

1. Opened systemsettings.
2. Opened firewall page.
3. Open another page like "About system".
4. Opened firewall page again.
5. Boom

-- Backtrace (Reduced):
#6  0x00007fbf6435aa42 in FirewallClient::capabilities (this=<optimized out>) at /usr/src/debug/kde-plasma/plasma-firewall-5.21.0/plasma-firewall-5.21.0/kcm/core/firewallclient.cpp:155
#7  0x00007fbf644bb3af in KCMFirewall::KCMFirewall (this=0x55a5e7781d10, parent=<optimized out>, args=...) at /usr/src/debug/kde-plasma/plasma-firewall-5.21.0/plasma-firewall-5.21.0/kcm/kcm.cpp:36
#8  0x00007fbf644becca in KPluginFactory::createInstance<KCMFirewall, QObject> (parentWidget=<optimized out>, parent=<optimized out>, args=...) at /usr/include/KF5/KCoreAddons/kpluginfactory.h:700
#9  0x00007fbfd93da1e2 in KPluginFactory::create (this=this@entry=0x55a5e7564fa0, iface=0x7fbfda8050f0 <qt_meta_stringdata_KQuickAddons__ConfigModule+1392> "KQuickAddons::ConfigModule", parentWidget=parentWidget@entry=0x0, parent=parent@entry=0x0, args=..., keyword=...) at /usr/src/debug/kde-frameworks/kcoreaddons-5.79.0/kcoreaddons-5.79.0/src/lib/plugin/kpluginfactory.cpp:180
#10 0x00007fbfda91af60 in KPluginFactory::create<KQuickAddons::ConfigModule> (args=..., parent=0x0, this=0x55a5e7564fa0) at /usr/include/KF5/KCoreAddons/kpluginfactory.h:745
Comment 8 Sebastian 2021-02-19 17:06:58 UTC
Created attachment 135909 [details]
New crash information added by DrKonqi

systemsettings5 (5.21.0) using Qt 5.15.2

- What I was doing when the application crashed:
Firewall failed open closed in settings plama 5.21.0

-- Backtrace (Reduced):
#4  0x00007fe0b68f7e26 in FirewallClient::capabilities() const (this=<optimized out>) at ./kcm/core/firewallclient.cpp:155
#5  0x00007fe0b6967b53 in KCMFirewall::KCMFirewall(QObject*, QList<QVariant> const&) (this=0x55a2162114d0, parent=<optimized out>, args=...) at ./kcm/kcm.cpp:36
#6  0x00007fe0b696b4ee in KPluginFactory::createInstance<KCMFirewall, QObject>(QWidget*, QObject*, QList<QVariant> const&) (parentWidget=<optimized out>, parent=<optimized out>, args=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobject.h:519
#7  0x00007fe0ede9e152 in KPluginFactory::create(char const*, QWidget*, QObject*, QList<QVariant> const&, QString const&) () at /lib/x86_64-linux-gnu/libKF5CoreAddons.so.5
#8  0x00007fe0ef4afb48 in KCModuleLoader::loadModule(KCModuleInfo const&, KCModuleLoader::ErrorReporting, QWidget*, QStringList const&) () at /lib/x86_64-linux-gnu/libKF5KCMUtils.so.5
Comment 9 tcanabrava 2021-02-23 09:02:41 UTC
This is fixed in master, I'll backport the patch to stable.
Comment 10 kskot 2021-02-25 20:26:09 UTC
Created attachment 136166 [details]
New crash information added by DrKonqi

systemsettings5 (5.21.1) using Qt 5.15.2

still happening for me with Plasma 5.21.1

not sure if the fix in master made it in the minor version

-- Backtrace (Reduced):
#4  0x00007fdc6c10ce26 in FirewallClient::capabilities() const (this=<optimized out>) at ./kcm/core/firewallclient.cpp:155
#5  0x00007fdc6c157b53 in KCMFirewall::KCMFirewall(QObject*, QList<QVariant> const&) (this=0x55cf9f5d0640, parent=<optimized out>, args=...) at ./kcm/kcm.cpp:36
#6  0x00007fdc6c15b4ee in KPluginFactory::createInstance<KCMFirewall, QObject>(QWidget*, QObject*, QList<QVariant> const&) (parentWidget=<optimized out>, parent=<optimized out>, args=...) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qobject.h:519
#7  0x00007fdcda069152 in KPluginFactory::create(char const*, QWidget*, QObject*, QList<QVariant> const&, QString const&) (this=this@entry=0x55cf9ec79130, iface=0x7fdcdb55b0f0 "KQuickAddons::ConfigModule", parentWidget=parentWidget@entry=0x0, parent=parent@entry=0x0, args=..., keyword=...) at ./src/lib/plugin/kpluginfactory.cpp:180
#8  0x00007fdcdb67ab48 in KPluginFactory::create<KQuickAddons::ConfigModule>(QObject*, QList<QVariant> const&) (args=..., parent=0x0, this=0x55cf9ec79130) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qarraydata.h:257
Comment 11 David Edmundson 2021-03-01 11:50:49 UTC
*** Bug 433764 has been marked as a duplicate of this bug. ***
Comment 12 David Edmundson 2021-03-06 22:36:19 UTC
*** Bug 434077 has been marked as a duplicate of this bug. ***
Comment 13 David Edmundson 2021-03-07 14:59:46 UTC
*** Bug 434095 has been marked as a duplicate of this bug. ***
Comment 14 Nate Graham 2021-03-15 21:32:32 UTC
*** Bug 434415 has been marked as a duplicate of this bug. ***
Comment 15 kskot 2021-03-15 21:37:14 UTC
maybe change the status to "open" to avoid getting duplicate bug reports. The bug is clearly not fixed yet.
Comment 16 David Edmundson 2021-03-16 23:40:25 UTC
It is, it just isn't backported for whatever reason
Comment 17 Nate Graham 2021-03-17 15:55:14 UTC
The commit has now been backported.
Comment 18 Nate Graham 2021-03-19 14:45:41 UTC
With current git master, I am still getting the firewall KCM crashing when opened a second time, but the backtrace is now different. I'll file it separately as Bug 434623.